samba-devel and samba-libsmbclient conflict

Sean McNeil sean at mcneil.com
Tue Jan 20 18:14:00 PST 2004


Timur,

Thank you!  I appreciate your diagnosis.  I'm unfamiliar with the
mechanism used for dependencies, so I had no idea how to fix it.

Sincerely,
Sean

On Tue, 2004-01-20 at 17:35, Timur I. Bakeyev wrote:
> Hi Sean!
> 
> Sorry, I missed trailing .0 in the lib dependency in the gnomevfs-extras :(
> 
> The way, how samba-libsmbclient installs it's library is a bit evil, basically,
> it installs library without the suffix and then symlink it to the libsmbclient.0.
> Normally, it should be reverse...
> 
> But in any case - the easiest way to solve your issue at the moment would be to
> run:
> 
>   ln -s /usr/local/lib/libsmbclient.so /usr/local/lib/libsmbclient.so.0
> 
> That should satisfy library dependency for gnomevfs-extras.
> 
> WBR,
>     Timur.
> 
> On Tue, Jan 20, 2004 at 03:40:18PM -0800, Sean McNeil wrote:
> > I'm sorry, but either I was unclear or you didn't read my message
> > completely.  Let me try to be more exact:
> > 
> > 1) I have samba-devel installed.  I mentioned I need it and thus have it
> > working.
> > 
> > 2) devel/gnomevfs-extras requires smbclient.0.  This is not provided by
> > samba-devel (samba-3.0.0_1,1).  It is no where to be found in the
> > +CONTENTS.
> > 
> > 3) Attempting to install gnomevfs-extras with samba-devel installed will
> > cause net/samba-libsmbclient to be installed.  At least, it will attempt
> > to install it.  It will fail:
> > 
> > ===>  samba-libsmbclient-3.0.0 conflicts with installed package(s):
> >       samba-3.0.0_1,1
> >       They install files into the same place.
> >       Please remove them first with pkg_delete(1).
> > *** Error code 1
> >  
> > Stop in /usr/ports/net/samba-libsmbclient.
> > ===>   Returning to build of gnomevfs-extras-0.99.11
> > Error: shared library "smbclient.0" does not exist
> > *** Error code 1
> >  
> > Stop in /usr/ports/devel/gnomevfs-extras.
> > 
> > 
> > Please do not tell me this works and how I should install it without
> > first attempting to install it yourself and it works.  I know it is not
> > working and I told you why in my first post.
> > 
> > Thanks,
> > Sean
-- 
Sean




More information about the freebsd-ports mailing list